import request from '@/assets/js/utils/request'
/* ======================================统计分析-报表大屏展示-API接口================================================= */

// 获取专家数量和供应商数量
export function getExpertNumberAndSupplierNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getExpertNumberAndSupplierNumber',
    method: 'post',
    data
  })
}
/*
 * 平台运营情况-API接口
*/
//  平台运营情况 招采地图
export function getBiddingAndPurchaseMap(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getBiddingAndPurchaseMap',
    method: 'post',
    data
  })
}
// 请求城市
export function getProvince(url, data) {
  return request({
    url: url,
    // url: `/api/reportEcharts/map/city/${cName}.json`,
    method: 'get',
    data
  })
}
// 请求城市
export function getCity(url, data) {
  return request({
    url: url,
    // url: `/api/reportEcharts/map/city/${cName}.json`,
    method: 'get',
    data
  })
}
// 平台运营情况 本年开标项目数量和金额 导出
export function exportOpeningProjectInfoMoneyAndNumList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportOpeningProjectInfoMoneyAndNumList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 平台运营情况 本年（本月）完成项目数量和金额 导出
export function exportCompletionProjectInfoMoneyAndNumList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportCompletionProjectInfoMoneyAndNumList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取平台运营情况信息数据
export function getPlatformOperationInfoNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getPlatformOperationInfoNumber',
    method: 'post',
    data
  })
}
// 获取开标项目信息报表
export function getOpeningProjectInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getOpeningProjectInfoChart',
    method: 'post',
    data
  })
}
// 获取完成项目信息报表
export function getCompleteProjectInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getCompleteProjectInfoChart',
    method: 'post',
    data
  })
}
// 获取项目采购方式信息报表
export function getProcurementMethodInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getProcurementMethodInfoChart',
    method: 'post',
    data
  })
}
// 获取项目采购方式信息报表-导出
export function exportProcurementMethodInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProcurementMethodInfoChart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取项目采购金额信息报表
export function getProcurementAmountInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getProcurementAmountInfoChart',
    method: 'post',
    data
  })
}
// 获取项目采购金额信息报表-导出
export function exportProcurementAmountInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProcurementAmountInfoChart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】平台运营情况 项目采购方式 明细列表
export function listProcurementMethodInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listProcurementMethodInfoPages',
    method: 'post',
    data
  })
}
// 平台运营情况 平台运营情况 项目采购方式 明细列表-导出
export function exportProcurementMethodInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProcurementMethodInfoPages',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】平台运营情况 项目采购金额 明细列表
export function listProcurementAmountInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listProcurementAmountInfoPages',
    method: 'post',
    data
  })
}
// 【web前端】平台运营情况 项目采购金额 明细列表-导出
export function exportProcurementAmountInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProcurementAmountInfoPages',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】平台运营情况 完成项目金额 饼图
export function getCompleteProjectAmountListByItemType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getCompleteProjectAmountListByItemType',
    method: 'post',
    data
  })
}
// 【web前端】平台运营情况 完成项目金额 饼图 下载
export function exportCompleteProjectAmountListByItemType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportCompleteProjectAmountListByItemType',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 平台运营情况 完成项目金额 饼图 -点击查看详情
export function listCompleteProjectAmountByItemType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listCompleteProjectAmountByItemType',
    method: 'post',
    data
  })
}

// 【web前端】 平台运营情况 完成项目金额 饼图 -导出
export function exportCompleteProjectAmountByItemType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportCompleteProjectAmountByItemType',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】平台运营情况 完成项目数量 饼图
export function getCompleteProjectNumListByItemType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getCompleteProjectNumListByItemType',
    method: 'post',
    data
  })
}
export function exportCompleteProjectNumListByItemType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportCompleteProjectNumListByItemType',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
/*
 * 采购项目统计-API接口
*/
// 获取采购项目信息数据
export function getProcurementProjectInfoNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getProcurementProjectInfoNumber',
    method: 'post',
    data
  })
}
// 获取采购完成项目信息报表
export function getProcurementCompleteProjectInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getProcurementCompleteProjectInfoChart',
    method: 'post',
    data
  })
}
// 获取采购完成项目信息报表-导出
export function exportProcurementCompleteProjectInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProcurementCompleteProjectInfoChart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 采购项目统计 不同工业区当月招标采购完成项目数量和项目金额
export function listBuyersCompleteProjectAmountAndNum(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listBuyersCompleteProjectAmountAndNum',
    method: 'post',
    data
  })
}
// 采购项目统计 不同工业区当月招标采购完成项目数量和项目金额-导出
export function exportBuyersCompleteProjectAmountAndNum(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportBuyersCompleteProjectAmountAndNum',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取采购完成项目节资率信息报表
export function getProcurementCompleteProjectSavingRateInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getProcurementCompleteProjectSavingRateInfoChart',
    method: 'post',
    data
  })
}

// 获取采购完成项目节资率信息报表-d导出
export function exportProcurementCompleteProjectSavingRateInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProcurementCompleteProjectSavingRateInfoChart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 采购项目统计 各内部企业招标采购累计完成情况
export function listBidAndPurchaseByBuyers(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listBidAndPurchaseByBuyers',
    method: 'post',
    data
  })
}

// 【web前端】 采购项目统计 各内部企业招标采购累计完成情况-导出
export function exportBidAndPurchaseByBuyers(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportBidAndPurchaseByBuyers',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 采购项目统计 分类采购项目数量和金额
export function getPurchaseTotalCountAndMoney(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getPurchaseTotalCountAndMoney',
    method: 'post',
    data
  })
}
// 【web前端】 采购项目统计 分类采购项目数量和金额-导出
export function exportPurchaseTotalCountAndMoney(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseTotalCountAndMoney',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 采购项目统计 分类采购项目数量-导出
export function exportPurchaseTotalCount(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseTotalCount',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 采购项目统计 分类采购项目金额-导出
export function exportPurchaseTotalMoney(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseTotalMoney',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 采购项目统计 采购系统完成项目及成交金额
export function listPurchaseCompletedInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listPurchaseCompletedInfo',
    method: 'post',
    data
  })
}

// 采购项目统计 采购系统完成项目及成交金额-导出
export function exportPurchaseCompletedInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseCompletedInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 采购项目统计 采购项目统计 分类采购项目数量(金额) 点击数字弹窗
export function listPurchaseProjectByMethodAndItem(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listPurchaseProjectByMethodAndItem',
    method: 'post',
    data
  })
}
// 采购项目统计 采购项目统计 分类采购项目数量(金额) 点击数字弹窗 -导出
export function exportPurchaseProjectByMethodAndItem(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseProjectByMethodAndItem',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
/*
 * 采购计划统计-API接口
*/
// 【web前端】 采购计划统计 查询组件下方数据
export function getProcurementPlanInfoNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getProcurementPlanInfoNumber',
    method: 'post',
    data
  })
}
// 【web前端】 采购计划统计 本年累计信息/本月累计信息
export function getProcurementPlanYearTotalInfoNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getProcurementPlanYearTotalInfoNumber',
    method: 'post',
    data
  })
}

// 【web前端】 采购计划统计 本年累计信息/本月累计信息-导出
export function exportProcurementPlanYearTotalInfoNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProcurementPlanYearTotalInfoNumber',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】  采购计划统计 分类采购次数(TOP10)
export function getPurchaseTimesInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getPurchaseTimesInfoChart',
    method: 'post',
    data
  })
}

// 【web前端】  采购计划统计 分类采购次数(TOP10)-导出
export function exportPurchaseTimesInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseTimesInfoChart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】  获取分类采购金额TOP10信息报表
export function getPurchaseMoneyInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getPurchaseMoneyInfoChart',
    method: 'post',
    data
  })
}

// 【web前端】  获取分类采购金额TOP10信息报表-导出
export function exportPurchaseMoneyInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseMoneyInfoChart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】  采购计划统计 分类采购-更多明细
export function listPurchaseTimesInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listPurchaseTimesInfoPages',
    method: 'post',
    data
  })
}
// 【web前端】  采购计划统计 分类采购-更多明细-导出
export function exportPurchaseTimesInfoList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseTimesInfoList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】  采购计划统计 自采与集采金额占比 饼图
export function getPurchasePlanAmountByFocusStatus(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getPurchasePlanAmountByFocusStatus',
    method: 'post',
    data
  })
}
// 【web前端】  采购计划统计 自采与集采数量占比 饼图
export function getPurchasePlanNumByFocusStatus(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getPurchasePlanNumByFocusStatus',
    method: 'post',
    data
  })
}
// 【web前端 】采购计划统计 自采与集采 数量和金额 导出
export function exportPurchasePlanByFocusStatus(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchasePlanByFocusStatus',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】  采购计划统计 常规采购与紧急采购数量占比 饼图
export function getPurchasePlanNumByOftenStatus(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getPurchasePlanNumByOftenStatus',
    method: 'post',
    data
  })
}
// 【web前端】  采购计划统计 常规采购与紧急采购金额占比 饼图
export function getPurchasePlanAmountByOftenStatus(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getPurchasePlanAmountByOftenStatus',
    method: 'post',
    data
  })
}
// 【web前端 】采购计划统计 常规采购与紧急采购 数量和金额 导出
export function exportPurchasePlanByOftenStatus(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchasePlanByOftenStatus',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 采购项目统计 各内部企业招标采购累计完成情况 点击数字弹窗
export function listBidOrPurchaseByBuyers(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis//statisticalanalysis/chartStatisticalanalysisList/listBidOrPurchaseByBuyers',
    method: 'post',
    data
  })
}
/*
 * 供应商统计-API接口
*/
// 获取供应商统计信息数据
export function getSupplierStatisticInfoNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getSupplierStatisticInfoNumber',
    method: 'post',
    data
  })
}
// 供应商统计 中标供应商占比
export function getWinningSupplierInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getWinningSupplierInfo',
    method: 'post',
    data
  })
}
// 供应商统计 中标供应商占比
export function exportWinningSupplierInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportWinningSupplierInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取中标金额供应商集合top10
export function getWinningAmountSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getWinningAmountSupplierList',
    method: 'post',
    data
  })
}
// 获取中标金额供应商集合top10-导出
export function exportWinningAmountSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportWinningAmountSupplierList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取中标次数供应商集合top10
export function getWinningTimesSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getWinningTimesSupplierList',
    method: 'post',
    data
  })
}
// 获取中标次数供应商集合top10-导出
export function exportWinningTimesSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportWinningTimesSupplierList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取投标次数供应商集合top10
export function getTenderTimesSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getTenderTimesSupplierList',
    method: 'post',
    data
  })
}
// 获取投标次数供应商集合top10-导出
export function exportTenderTimesSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportTenderTimesSupplierList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取供应商地区分布TOP10
export function getDistributedAreaSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getDistributedAreaSupplierList',
    method: 'post',
    data
  })
}
// 获取供应商供货范围TOP
export function getSupplyRangeSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getSupplyRangeSupplierList',
    method: 'post',
    data
  })
}

// 获取供应商供货范围TOP-导出
export function exportSupplyRangeSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportSupplyRangeSupplierList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 供应商统计 投标次数TOP10 查看供应商投标列表
export function listTenderBySupplierIdPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listTenderBySupplierIdPages',
    method: 'post',
    data
  })
}
// 供应商统计 投标次数TOP10 查看供应商投标列表d-导出
export function exportTenderBySupplierIdList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportTenderBySupplierIdList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 供应商统计 中标金额TOP10/中标次数TOP10 查看供应商中标列表
export function listWinningBySupplierIdPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listWinningBySupplierIdPages',
    method: 'post',
    data
  })
}
// 供应商统计 中标金额TOP10/中标次数TOP10 查看供应商中标列表-导出
export function exportWinningBySupplierIdList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportWinningBySupplierIdList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 供应商统计 供应商类别
export function getSupplierTypeInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getSupplierTypeInfo',
    method: 'post',
    data
  })
}
// 供应商统计 供应商类别-导出
export function exportSupplierTypeInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportSupplierTypeInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}

// 【web前端】 供应商统计 供应商类别 点击查看详情
export function listSupplierBySupplierType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listSupplierBySupplierType',
    method: 'post',
    data
  })
}
// 【web前端 】供应商统计 供应商类别 点击查看详情 导出
export function exportSupplierBySupplierType(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportSupplierBySupplierType',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 供应商统计 供应商活跃度
export function listSupplierActivityInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listSupplierActivityInfo',
    method: 'post',
    data
  })
}
// 供应商统计 供应商活跃度-导出
export function exportSupplierActivityInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportSupplierActivityInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
/*
 * 采购人统计-API接口
*/
// 获取采购人计划完成率TOP10
export function getPurchaserPlanCompletionRateList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getPurchaserPlanCompletionRateList',
    method: 'post',
    data
  })
}
// 获取采购人计划完成率TOP10-导出
export function exportPurchaserPlanCompletionRateList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaserPlanCompletionRateList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取采购人合格供应商列表
export function listQualifiedSuppliersOfPurchaserInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listQualifiedSuppliersOfPurchaserInfoPages',
    method: 'post',
    data
  })
}
// 获取采购人合格供应商列表-导出
export function exportQualifiedSuppliersOfPurchaserInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportQualifiedSuppliersOfPurchaserInfoPages',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取单个采购人合格供应商月份分布列表
export function listQualifiedSuppliersOfPurchaserMonthInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listQualifiedSuppliersOfPurchaserMonthInfoPages',
    method: 'post',
    data
  })
}
// 获取单个采购人合格供应商月份分布列表-导出
export function exportQualifiedSuppliersOfPurchaserMonthInfoList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportQualifiedSuppliersOfPurchaserMonthInfoList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取不同采购方式发布的项目数量及完成情况列表
export function listTenderMethodProjectCompleteInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listTenderMethodProjectCompleteInfo',
    method: 'post',
    data
  })
}
// 不同采购方式发布的项目数量及完成情况-导出
export function exportTenderMethodProjectCompleteInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportTenderMethodProjectCompleteInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取不同采购方式发布的项目数量及完成情况详情
export function listProjectCompleteByTenderMethodInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listProjectCompleteByTenderMethodInfo',
    method: 'post',
    data
  })
}
// 获取不同采购方式发布的项目数量及完成情况详情-导出
export function exportProjectCompleteByTenderMethodInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProjectCompleteByTenderMethodInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取不同采购方式发布的项目数量及完成情况详情-所有采购方式导出
export function exportProjectCompleteAllTenderMethod(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportProjectCompleteAllTenderMethod',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 采购单位准入供应商
export function getPurchaseDepartWithSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getPurchaseDepartWithSupplierList',
    method: 'post',
    data
  })
}
// 采购单位准入供应商-导出
export function exportPurchaseDepartWithSupplierList(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportPurchaseDepartWithSupplierList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 采购单位统计 采购单位准入供应商 点击月（或累计）准入供应商弹窗-导出
export function exportAccessSupplierTypeInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportAccessSupplierTypeInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 采购单位统计 采购单位准入供应商 点击月（或累计）准入供应商弹窗
export function listAccessSupplierTypeInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listAccessSupplierTypeInfo',
    method: 'post',
    data
  })
}
// 【web前端】 采购单位统计 采购单位准入供应商 点击月（或累计）准入供应商弹窗-导出按钮
export function exportBidOrPurchaseByBuyers(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis//statisticalanalysis/chartStatisticalanalysisExport/exportBidOrPurchaseByBuyers',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
/*
 * 价格库统计-API接口
*/
// 价格库统计 设备/物资价格走势图
export function getMaterialsPriceTrendsInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis//statisticalanalysis/chartStatisticalanalysis/getMaterialsPriceTrendsInfoChart',
    method: 'post',
    data
  })
}
// 价格库统计 设备/物资价格走势图-导出
export function exportMaterialsPriceTrendsInfoChart(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis//statisticalanalysis/chartStatisticalanalysisExport/exportMaterialsPriceTrendsInfoChart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// web前端】 价格库统计 物料价格及采购量对比
export function listMaterialAndPurchaseComparisonInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listMaterialAndPurchaseComparisonInfoPages',
    method: 'post',
    data
  })
}
// web前端】 价格库统计 物料价格及采购量对比-导出
export function exportMaterialAndPurchaseComparisonInfoPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportMaterialAndPurchaseComparisonInfoPages',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// web前端】 价格库统计 通用供应商列表
export function listAllSuppliers(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listAllSuppliers',
    method: 'post',
    data
  })
}
/*
 * 专家统计-API接口
*/
// 【web前端】 专家统计 专家等级
export function getExpertGradeInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getExpertGradeInfo',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家等级-导出
export function exportExpertGradeInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertGradeInfo',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 专家统计 专家数量统计
export function getExpertProcurementPlanInfoNumber(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getProcurementPlanInfoNumber',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家地区分布TOP10
export function listExpertArea(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertArea',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家地区分布TOP10-导出
export function exportExpertArea(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertArea',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 专家统计 专家出席率
export function listExpertAttendanceRate(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertAttendanceRate',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家出席率-导出
export function exportExpertAttendanceRate(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertAttendanceRate',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 专家统计 专家入驻时间TOP10
export function listExpertBySignTime(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertBySignTime',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家评标次数top10 查看列表
export function listExpertEvaluationProjectPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertEvaluationProjectPages',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家评标次数top10 查看列表-导出
export function exportExpertEvaluationProjectPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertEvaluationProjectPages',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 专家统计 专家评标次数Top10
export function listExpertEvaluationTimesPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertEvaluationTimesPages',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家评标次数Top10-导出
export function exportExpertEvaluationTimesPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertEvaluationTimesPages',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 专家统计 专家专业分类
export function listExpertProfessionCategory(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertProfessionCategory',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 专家专业分类-导出
export function exportExpertProfessionCategory(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertProfessionCategory',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 【web前端】 专家统计 最新入库专家
export function listNewSignExpert(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listNewSignExpert',
    method: 'post',
    data
  })
}
// 【web前端】 专家统计 最新入库专家-导出
export function exportNewSignExpert(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportNewSignExpert',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
//  专家统计 专家数量统计
export function getExpertNumberStatistic(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/getExpertNumberStatistic',
    method: 'post',
    data
  })
}
//  专家统计 专家数量统计-导出
export function exportExpertNumberStatistic(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertNumberStatistic',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
//  专家统计 【web前端】 专家统计 专家出席率 查看列表
export function listExpertAttendanceProjectPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertAttendanceProjectPages',
    method: 'post',
    data
  })
}
//  专家统计 【web前端】 专家统计 专家出席率 查看列表-导出
export function exportExpertAttendanceProjectPages(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertAttendanceProjectPages',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
//  专家统计  专家统计 专家好评top10
export function listExpertByScore(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisList/listExpertByScore',
    method: 'post',
    data
  })
}
//  专家统计  专家统计 专家好评top10-导出
export function exportExpertByScore(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/exportExpertByScore',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
//  获取有权限查看的角色接口
export function getRolesOfCheckBuyers(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysisExport/getRolesOfCheckBuyers',
    method: 'post',
    data
  })
}
// 异常统计
// 查询异常项目（以一个月为期限，当前时间减去开标时间大于一个月的才进行展示）
export function getBiddingAndPurchaseException(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/getBiddingAndPurchaseException',
    method: 'post',
    data
  })
}
// 查询异常项目数据状态对应字典信息
export function queryBiddingAndPurchaseException(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/chartStatisticalanalysis/queryBiddingAndPurchaseException',
    method: 'post',
    data
  })
}

